package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum TaxTypeEnum implements BaseEnum,IEnum<Boolean> {
    Y("true","单位"),
    N("false","个人"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;


    @Override
    public Boolean getValue() {
        return Boolean.parseBoolean(key);
    }
}